<?xml version="1.0" encoding="UTF-8"?>
<!-- March 14, 2007 -->
<wsdl:definitions
   name="message_broadcast_notification_interface"
   targetNamespace="http://www.csapi.org/wsdl/parlayx/message_broadcast/notification/v4_0/interface"
   xmlns="http://schemas.xmlsoap.org/wsdl/"
   xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
   xmlns:xsd="http://www.w3.org/2001/XMLSchema"
   xmlns:message_broadcast_notification="http://www.csapi.org/wsdl/parlayx/message_broadcast/notification/v4_0/interface"
   xmlns:message_broadcast_xsd="http://www.csapi.org/schema/parlayx/message_broadcast/v4_0"
   xmlns:message_broadcast_notification_local_xsd="http://www.csapi.org/schema/parlayx/message_broadcast/notification/v4_0/local">

   <wsdl:types>
      <xsd:schema elementFormDefault="qualified" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.csapi.org/schema/parlayx/message_broadcast/notification/v4_0/local">
         <xsd:import namespace="http://www.csapi.org/schema/parlayx/message_broadcast/v4_0" schemaLocation="parlayx_message_broadcast_types_4_0.xsd"/>

         <xsd:element name="notifyBroadcastDeliveryReceipt" type="message_broadcast_notification_local_xsd:notifyBroadcastDeliveryReceipt"/>
         <xsd:complexType name="notifyBroadcastDeliveryReceipt">
            <xsd:sequence>
               <xsd:element name="correlator" type="xsd:string"/>
               <xsd:element name="area" type="message_broadcast_xsd:BroadcastArea"/>
               <xsd:element name="statusInfo" type="message_broadcast_xsd:BroadcastStatusInformation"/>
            </xsd:sequence>
         </xsd:complexType>

         <xsd:element name="notifyBroadcastDeliveryReceiptResponse" type="message_broadcast_notification_local_xsd:notifyBroadcastDeliveryReceiptResponse"/>
         <xsd:complexType name="notifyBroadcastDeliveryReceiptResponse">
            <xsd:sequence/>
         </xsd:complexType>
      </xsd:schema>
   </wsdl:types>

   <wsdl:message name="MessageBroadcastNotification_notifyBroadcastDeliveryReceiptRequest">
      <wsdl:part name="parameters" element="message_broadcast_notification_local_xsd:notifyBroadcastDeliveryReceipt"/>
   </wsdl:message>

   <wsdl:message name="MessageBroadcastNotification_notifyBroadcastDeliveryReceiptResponse">
      <wsdl:part name="result" element="message_broadcast_notification_local_xsd:notifyBroadcastDeliveryReceiptResponse"/>
   </wsdl:message>

   <wsdl:portType name="MessageBroadcastNotification">
      <wsdl:operation name="notifyBroadcastDeliveryReceipt">
         <wsdl:input message="message_broadcast_notification:MessageBroadcastNotification_notifyBroadcastDeliveryReceiptRequest"/>
         <wsdl:output message="message_broadcast_notification:MessageBroadcastNotification_notifyBroadcastDeliveryReceiptResponse"/>
      </wsdl:operation>
   </wsdl:portType>
</wsdl:definitions>
